@charset "UTF-8";

/* CSS Document */


/* Colors Light Mode:
                L - #FFFFFF,	- Hearder-menu and secondary background 
                L - #F3F3F3 - Primary background
                L - #1D1E20 - Main Text
                L - #1F495B - Hover Links                 L - #408697 - Hover Links
                L - #8D8C8A - Paragraph Text
                L - #080D0F - Footer background 
*/

html {
    height: 100%;
}

*,
*:after,
*:before {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}


/* generic styles */

body {
    margin: 0;
    font-family: 'Inter', sans-serif;
    font-weight: 400;
    color: #1D1E20;
    background-color: #F3F3F3;
    transition: background 500ms ease-in-out, color 200ms ease;
}

p {
    font-family: 'Inter', sans-serif;
    font-size: 1rem;
    font-weight: 400;
    color: #8d8c8a;
    line-height: 1.75rem;
}

a {
    color: #1D1E20;
    text-decoration: none;
}

a:hover {
    color: #0C5E82;
    text-decoration: none;
}

h1 {
    font-size: 2.18rem;
    /* 35px/16 */
    color: #1D1E20;
    font-weight: 200;
    line-height: 2.75rem;
    margin: 50px 25px 10px 0px;
}

h2 {
    font-size: 1.875rem;
    /* 30px/16 */
    color: #1D1E20;
    font-weight: 300;
    line-height: 2.5rem;
    margin: 0px 25px 10px 0px;
}

h3 {
    font-size: 1.25rem;
    /* 18px/16*/
    font-weight: 400;
    color: #1D1E20;
    line-height: 1.75rem;
    margin: 20px 25px 0px 0px;
}

h4 {
    font-size: 0.875rem;
    /* 14px/16 */
    color: #1e1e1e;
    letter-spacing: 1px;
    font-weight: 500;
    margin: 20px 0px 20px 0px;
}

h5 {
    /* Title Experience */
    font-size: 1rem;
    /* 18px/16*/
    font-weight: 500;
    color: #1D1E20;
    line-height: 1.75rem;
    /*28px*/
}

h6 {
    font-size: 0.75rem;
    font-weight: 400;
    letter-spacing: 2px;
    margin: 20px 0px 10px 0px;
    color: #1D1E20;
}

body>section {
    min-height: 100vh;
    padding-top: 5rem;
}

.exp {
    font-size: 0.9rem;
    /* 18px/16*/
    font-weight: 500;
    color: #1D1E20;
    line-height: 1.5rem;
    /*28px*/
}

.exp2 {
    font-size: 0.9rem;
    /* 18px/16*/
    font-weight: 500;
    color: #8d8c8a;
    line-height: 1.5rem;
    /*28px*/
}


/* layout */

.container {
    width: 100%;
    max-width: 1200px;
    margin: 0 auto;
}


/* page elements */

#main {
    text-align: left;
    padding: 100px 50px 100px 50px;
}

#main-logo {
    float: left;
    margin: 25px 50px -20px 50px;
    font-size: 20px;
}

#main-logo:hover {
    color: #0C5E82;
}

#main-menu {
    float: right;
    font-size: 18px;
    list-style: none;
}

#main-menu a {
    padding: 1rem;
    line-height: 2rem;
    display: block;
    width: 100%;
}

#header {
    padding: 0 25px 25px 0;
    top: 0;
    width: 100%;
    height: 70px;
    position: fixed;
    background-color: rgba(255, 255, 255, 0.9);
    z-index: 1;
}

#header h1 {
    float: left;
    margin: 10px 10px 10px 0;
}


/* menu */

header #main-menu {
    width: 100%;
    text-align: center;
    clear: both;
    max-height: 0;
    transition: max-height .2s ease-out;
    overflow: hidden;
    background: #ffffff;
}


/*menu dropdown */

header .menu-icon {
    cursor: pointer;
    display: inline-block;
    float: right;
    padding: 30px 15px;
    position: relative;
    user-select: none;
}

header .menu-icon .navicon {
    background: #141414;
    display: block;
    height: 2px;
    position: relative;
    transition: background .2s ease-out;
    width: 25px;
}

header .menu-icon .navicon:before,
header .menu-icon .navicon:after {
    background: #1D1E20;
    content: '';
    display: block;
    height: 100%;
    position: absolute;
    transition: all .2s ease-out;
    width: 100%;
}

header .menu-icon .navicon:before {
    top: 6px;
}

header .menu-icon .navicon:after {
    top: -6px;
}

#social {
    position: absolute;
    left: 90%;
    top: 28%;
}

#social a {
    width: 30px;
    display: block;
    color: #B9C5CE;
    padding-bottom: 30px;
    margin-left: auto;
}

.fa:hover {
    color: #408697;
}

#about {
    background-color: #FFFFFF;
    padding: 100px 50px 100px 50px;
}

#portfolio {
    background-color: #F3F3F3;
    padding: 100px 50px 100px 50px;
}

#work {
    background-color: #FFFFFF;
    padding: 100px 50px 100px 50px;
}

#contact {
    background-color: #F3F3F3;
    padding: 100px 50px 100px 50px;
}

#footer {
    background-color: #1D1E20;
    padding: 60px 50px 60px 50px;
    color: #F8F8F8;
    font-size: 0.8125rem;
    /*13px*/
    line-height: 1.75rem;
    /*20px*/
    text-decoration: none;
}

#social_footer {
    text-align: right;
    padding-right: 10px;
    text-decoration-color: #FFFFFF;
}

.box_footer {
    font-size: 100%;
    padding-top: 12px;
    padding-bottom: 12px;
}

.box_footer a {
    color: #FFFFFF;
}


/* EFFECTS*/


/*Logo dx home page 

.soft {
    position: absolute;
    left: 78%;
    top: 15%;
    width: 120px;
    height: 120px;
    color: transparent;
    -webkit-text-stroke: 2px #071821;
    background: rgba(0, 0, 0, 0.45);
    box-shadow: 0 8px 32px 0 rgba(0, 0, 0, 0.35);
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    border-radius: 12px;
    border: 2px solid rgba(255, 255, 255, 0.18);
    margin: 0 auto;
    text-align: center;
}*/


/*float: right;
    padding-top: 10%;
    padding: 11px;
*/


/* Home page btn */

button {
    color: #1D1E20;
    width: 280px;
    margin-top: 60px;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #f3f3f3;
    border: none;
    padding: 1rem 2.5rem;
    font-weight: 600;
    text-transform: uppercase;
    font-size: 1rem;
    position: relative;
    border-radius: 100px;
    margin-right: 1rem;
    cursor: pointer;
    outline: none;
    transform-style: preserve-3d;
    transition: 0.2s ease-out;
}

button:hover.alt span {
    mix-blend-mode: difference;
    color: #1D1E20;
}

button::before {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    border-radius: 100px;
    z-index: 2;
    box-shadow: -5px -6px 10px #f3f3f3;
    filter: brightness(1.2);
    transition: 0.3s ease-out;
    pointer-events: none;
}

button::after {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    border-radius: 100px;
    z-index: 2;
    box-shadow: 5px 10px 15px #f3f3f3;
    filter: brightness(0.8);
    transition: 0.3s ease-out;
    pointer-events: none;
}

button:active.alt::after {
    box-shadow: inset 4px 4px 8px #f3f3f3;
}

button:active.alt::before {
    box-shadow: inset -2px -2px 8px #f3f3f3;
}


/*progress Bar */

.header-bar {
    position: fixed;
    top: 0;
    z-index: 1;
    width: 100%;
    background-color: #666;
}

.progress-container {
    width: 100%;
    height: 3px;
    background: #666;
}

.progress-bar {
    height: 3px;
    /*new*/
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    position: absolute;
    background: linear-gradient(124deg, #ff2400, #e81d1d, #e8b71d, #e3e81d, #1de840, #1ddde8, #2b1de8, #f30000);
    background-size: 1800% 1800%;
    -webkit-animation: rainbow 28s ease infinite;
    -z-animation: rainbow 28s ease infinite;
    -o-animation: rainbow 28s ease infinite;
    animation: rainbow 28s ease infinite;
}

@-webkit-keyframes rainbow {
    0% {
        background-position: 0% 82%
    }
    50% {
        background-position: 100% 19%
    }
    100% {
        background-position: 0% 82%
    }
}

@-moz-keyframes rainbow {
    0% {
        background-position: 0% 82%
    }
    50% {
        background-position: 100% 19%
    }
    100% {
        background-position: 0% 82%
    }
}

@-o-keyframes rainbow {
    0% {
        background-position: 0% 82%
    }
    50% {
        background-position: 100% 19%
    }
    100% {
        background-position: 0% 82%
    }
}

@keyframes rainbow {
    0% {
        background-position: 0% 82%
    }
    50% {
        background-position: 100% 19%
    }
    100% {
        background-position: 0% 82%
    }
}


/* end of progress bar */


/*Scroll Down pulsing home page */

.scroll-down {
    position: absolute;
    top: 90%;
    left: 50%;
    transform: translate(-90%, -90%);
    margin-top: 20px;
    color: #121212;
    font-size: 0.81rem;
    letter-spacing: 1.25px;
    text-transform: uppercase;
    animation: scrollDown 2s infinite;
/*    mix-blend-mode: exclusion; */
    z-index: 20;
}

@keyframes scrollDown {
    0% {
        opacity: 0;
        transform: translate(-50%, 0);
    }
    30% {
        opacity: 1;
    }
    100% {
        opacity: 0;
        transform: translate(-50%, 22px);
    }
}


/*End of Scroll Down */


/* H2 Title technicolor */

.technicolour {
    background: -webkit-linear-gradient(left, #23375b, #D62229, #E97639, #792042, #23375b);
    background: linear-gradient(left, #23375b, #D62229, #E97639, #792042, #23375b);
    background-size: 3200px 200px;
    color: transparent;
    -webkit-background-clip: text;
    -webkit-animation: animate-logo;
    -webkit-animation-delay: 0;
    -webkit-animation-duration: 15s;
    -webkit-animation-timing-function: linear;
    -webkit-animation-iteration-count: infinite;
    -webkit-animation-fill-mode: forwards;
    transition: font-size 500ms ease-in-out;
}

@-webkit-keyframes animate-logo {
    0% {
        background-position: 0 3200px;
    }
    100% {
        background-position: 3200px 0;
    }
}


/* hamburger */

header .menu-btn {
    display: none;
}

header .menu-btn:checked~#main-menu {
    max-height: 100%;
}

header .menu-btn:checked~.menu-icon .navicon {
    background: transparent;
}

header .menu-btn:checked~.menu-icon .navicon:before {
    transform: rotate(-45deg);
}

header .menu-btn:checked~.menu-icon .navicon:after {
    transform: rotate(45deg);
}

header .menu-btn:checked~.menu-icon:not(.steps) .navicon:before,
header .menu-btn:checked~.menu-icon:not(.steps) .navicon:after {
    top: 0;
}

.desktop-only {
    visibility: hidden;
}


/* When the browser is  768px and above. 48em = 768px*/

@media (min-width: 48em) {
    .desktop-only {
        visibility: visible;
    }
    header li {
        float: left;
    }
    header li a {
        padding: 20px 30px;
    }
    header #main-menu {
        max-height: none;
        clear: none;
        float: right;
        width: auto;
        margin: 25px 0 5px 25px;
        background-color: transparent;
    }
    header #main-menu a {
        padding: 0 1.4em;
    }
    header .menu-icon {
        display: none;
    }
    box {
        width: 100%;
    }
    /* Defining a Grid  */
    .wrapper {
        /*About*/
        display: grid;
        grid-template-columns: 48% 48%;
        grid-gap: 4%;
    }
    .wrapper2 {
        /*portfolio*/
        display: grid;
        grid-template-columns: 70% 26%;
        grid-gap: 4%;
    }
    .wrapper3 {
        /*blog, work, contact*/
        display: grid;
        grid-template-columns: 20% 76%;
        grid-gap: 4%;
    }
    .wrapper4 {
        /*footer*/
        display: grid;
        grid-template-columns: 30% 35% 30%;
        grid-gap: 4%;
    }
    /*box*/
    .box {
        padding-top: 5px;
        padding-bottom: 5px;
    }
    .left {
        text-align: left;
        padding-left: 25px;
    }
    .left_E {
        text-align: left;
        padding-left: 5px;
    }
    .center {
        text-align: center;
    }
    .right {
        text-align: right;
        padding-right: 25px;
    }
    .box_footer {
        font-size: 100%;
        padding-top: 12px;
        padding-bottom: 12px;
    }
}


/*End of Media Query*/